Get Schema
curl --request GET \
--url https://api.contextual.ai/v1/extract/schemas/{schema_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contextual.ai/v1/extract/schemas/{schema_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contextual.ai/v1/extract/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_id": "<string>",
"name": "<string>",
"schema_definition": {},
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/extract
Get Schema
Get schema information by ID.
GET
/
extract
/
schemas
/
{schema_id}
Get Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response model for schema information.
Unique ID of the schema
Name of the schema
JSON schema definition
Schema metadata
Timestamp when the schema was created
Timestamp when the schema was last updated
Description of the schema
Was this page helpful?
⌘I